Activity log for bug #1668699

Date Who What changed Old value New value Message
2017-02-28 17:09:43 Jeremy Bicha bug added bug
2017-02-28 19:28:42 Jeremy Bicha description Start the Web Browser app. Right-click on its icon in Unity's Dash (the strip on the left side of the screen). There are two custom Actions: "Open a New Window" and "Open a New Private Window". I propose that the "Open a " prefix be dropped. This provides greater consistency with other apps which just use "New Window" or "New Document" Actions. Examples include epiphany-browser, gedit, LibreOffice and Nautilus. In GNOME Shell, Actions show in the Activities Overview. GNOME Shell includes a default "New Window" action. So in GNOME Shell, the actions shown include the duplicate "New Window" and "Open a New Window". (Note that an explicit "New Window" shortcut does not duplicate the default "New Window" in GNOME Shell as long as the action is named new-window.) See also bug 1668664 for Firefox. Start the Web Browser app. Right-click on its icon in Unity's Dash (the strip on the left side of the screen). There are two custom Actions: "Open a New Window" and "Open a New Private Window". I propose that the "Open a " prefix be dropped. This provides greater consistency with other apps which just use "New Window" or "New Document" Actions. Examples include epiphany-browser, gedit, LibreOffice and Nautilus. In GNOME Shell, Actions show in the Activities Overview. GNOME Shell includes a default "New Window" action. So in GNOME Shell, the actions shown include the duplicate "New Window" and "Open a New Window". (Note that an explicit "New Window" shortcut does not duplicate the default "New Window" in GNOME Shell as long as the action is named new-window.) See also LP: #1668664 for Firefox and LP: #1668730 for Chromium.
2017-03-01 11:37:20 Olivier Tilloy branch linked lp:~jbicha/webbrowser-app/drop-open-a-prefix
2017-03-01 11:37:41 Olivier Tilloy webbrowser-app (Ubuntu): assignee Jeremy Bicha (jbicha)
2017-03-01 11:37:45 Olivier Tilloy webbrowser-app (Ubuntu): status New In Progress
2017-03-01 11:37:50 Olivier Tilloy webbrowser-app (Ubuntu): importance Undecided Low
2017-03-01 11:38:49 Olivier Tilloy bug task added ubuntu-ux
2017-03-09 16:39:29 Matthew Paul Thomas ubuntu-ux: status New Fix Committed
2017-03-09 16:39:29 Matthew Paul Thomas ubuntu-ux: assignee Matthew Paul Thomas (mpt)
2017-03-09 16:58:55 Launchpad Janitor branch linked lp:webbrowser-app/staging
2017-03-09 17:07:55 Olivier Tilloy webbrowser-app (Ubuntu): status In Progress Fix Committed
2017-03-10 15:36:07 Launchpad Janitor branch linked lp:~ci-train-bot/webbrowser-app/webbrowser-app-ubuntu-zesty-2504
2017-03-15 10:20:35 Adolfo Jayme bug added subscriber Adolfo Jayme
2017-03-15 17:16:22 Launchpad Janitor webbrowser-app (Ubuntu): status Fix Committed Fix Released
2017-04-03 14:36:31 Matthew Paul Thomas bug task deleted ubuntu-ux